summaryrefslogtreecommitdiff
path: root/tools/regression/msdosfs
diff options
context:
space:
mode:
authorMike Silbersack <silby@FreeBSD.org>2005-04-17 00:56:38 +0000
committerMike Silbersack <silby@FreeBSD.org>2005-04-17 00:56:38 +0000
commitfb3153e1ee947cf57cb8cf07a58fa8df63ca5476 (patch)
treead8023b33851f088af1b88ac22b1ec5f253dfbdf /tools/regression/msdosfs
parent756f6b73989c301ef4952fe6e2b079fb6f5cf0bc (diff)
downloadsrc-test2-fb3153e1ee947cf57cb8cf07a58fa8df63ca5476.tar.gz
src-test2-fb3153e1ee947cf57cb8cf07a58fa8df63ca5476.zip
Notes
Diffstat (limited to 'tools/regression/msdosfs')
-rw-r--r--tools/regression/msdosfs/msdosfstest-2.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/regression/msdosfs/msdosfstest-2.sh b/tools/regression/msdosfs/msdosfstest-2.sh
new file mode 100644
index 000000000000..2262af803a5d
--- /dev/null
+++ b/tools/regression/msdosfs/msdosfstest-2.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# $FreeBSD$
+# A really simple script to create a swap-backed msdosfs filesystem, then test to
+# make sure the case conversion issue described in msdosfs_lookup.c rev 1.46
+# is fixed.
+
+mkdir /tmp/msdosfstest/
+mdconfig -a -t swap -s 128m -u 10
+bsdlabel -w md10 auto
+newfs_msdos -F 16 -b 8192 /dev/md10a
+mount_msdosfs /dev/md10a /tmp/msdosfstest/
+cat /tmp/msdosfstest/foo
+touch /tmp/msdosfstest/FOO
+cat /tmp/msdosfstest/foo
+if [ $? -eq 0 ]; then
+ echo "ok 2";
+else
+ echo "not ok 2";
+fi
+umount /tmp/msdosfstest/
+mdconfig -d -u 10
+rmdir /tmp/msdosfstest/